nn.pp.core

## Enum INotificationEvent.Severity

- java.lang.Object
- - java.lang.Enum<INotificationEvent.Severity>
  - - nn.pp.core.INotificationEvent.Severity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<INotificationEvent.Severity>
  Enclosing interface:
    INotificationEvent

      public static enum INotificationEvent.Severity
      extends java.lang.Enum<INotificationEvent.Severity>

  The severity of the event

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG` Event is an Debug event
    `ERROR` Event is an Error event
    `INFO` Event is an Info event
    `UNKNOWN` The severity is unknown
    `WARNING` Event is an Warning event

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static INotificationEvent.Severity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static INotificationEvent.Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEBUG

          public static final INotificationEvent.Severity DEBUG

      Event is an Debug event

    - #### ERROR

          public static final INotificationEvent.Severity ERROR

      Event is an Error event

    - #### WARNING

          public static final INotificationEvent.Severity WARNING

      Event is an Warning event

    - #### INFO

          public static final INotificationEvent.Severity INFO

      Event is an Info event

    - #### UNKNOWN

          public static final INotificationEvent.Severity UNKNOWN

      The severity is unknown

  - ### Method Detail

    - #### values

          public static INotificationEvent.Severity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (INotificationEvent.Severity c : INotificationEvent.Severity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static INotificationEvent.Severity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.